public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sven Wegener" <swegener@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/cryptodev/
Date: Thu,  1 Apr 2021 18:47:05 +0000 (UTC)	[thread overview]
Message-ID: <1617302782.c2ab4e3a51936ffd97095cd5755fc516563ccab8.swegener@gentoo> (raw)

commit:     c2ab4e3a51936ffd97095cd5755fc516563ccab8
Author:     Sven Wegener <swegener <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  1 18:46:22 2021 +0000
Commit:     Sven Wegener <swegener <AT> gentoo <DOT> org>
CommitDate: Thu Apr  1 18:46:22 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2ab4e3a

sys-kernel/cryptodev: Version bump to 1.12

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Sven Wegener <swegener <AT> gentoo.org>

 sys-kernel/cryptodev/Manifest              |  1 +
 sys-kernel/cryptodev/cryptodev-1.12.ebuild | 56 ++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/sys-kernel/cryptodev/Manifest b/sys-kernel/cryptodev/Manifest
index a747dd1bd80..5fa4d78fc0b 100644
--- a/sys-kernel/cryptodev/Manifest
+++ b/sys-kernel/cryptodev/Manifest
@@ -1,2 +1,3 @@
 DIST cryptodev-linux-1.11.tar.gz 56876 BLAKE2B 97cf09c515c586372b2c5bd450e445afd5f80ed8ab39002545dc550c63480469a5318214f467444618e4e1783b9ab999b550cfb16d8ded6de26671a0727d06c2 SHA512 f7b76e9a154945514e2238cd7106cb50cea8120febc79228d6a8ba2dfaf98d5f0756d970df76fd63bda4755d7e0d78331aea394c3c5c18794b7ef1a8738fddba
+DIST cryptodev-linux-1.12.tar.gz 56922 BLAKE2B ec3d6585cbc15027468c0d009dfad1437286e71f90247b6b07067e1355483d9a3184cb0134ab4cfb406168b1b506fb08d4a0ab6476b71305267769a33e5ed2de SHA512 75f4f20ee7474375fd515cfd4f247f9a61739ac766525cd8fe007adfa44129d90077568d59409f577202a4d8883539b0d533dd5e060a1065b61106f68ea5e4b3
 DIST cryptodev-linux-1.9.tar.gz 54409 BLAKE2B 48427235409c792001f420c8a66ab4320457a1cf22c1bf47c8d0a40ef82491ffe64a27b7f2e7ed92f3b8b426fc8425bd15b2bf9c875bb222de8b738022adf99f SHA512 8aff822e834d7d77f2b954b3f6de22d7de9659dac27b8a185b7ca060ff4b17bd38e287bb5c19043a53f5015a3f000d31be961695152bad0fb9f55785b2753d29

diff --git a/sys-kernel/cryptodev/cryptodev-1.12.ebuild b/sys-kernel/cryptodev/cryptodev-1.12.ebuild
new file mode 100644
index 00000000000..3b2e81697ae
--- /dev/null
+++ b/sys-kernel/cryptodev/cryptodev-1.12.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info linux-mod
+
+DESCRIPTION="device that allows access to Linux kernel cryptographic drivers"
+HOMEPAGE="http://cryptodev-linux.org/"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/cryptodev-linux/cryptodev-linux.git"
+	S="${WORKDIR}/${PN}-${PV}"
+else
+	SRC_URI="https://github.com/cryptodev-linux/cryptodev-linux/archive/${PN}-linux-${PV}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~x86"
+	S=${WORKDIR}/${PN}-linux-${PN}-linux-${PV}
+fi
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="examples"
+
+DEPEND="virtual/linux-sources"
+
+#test requires that the module is already loaded
+RESTRICT="test"
+
+MODULE_NAMES="cryptodev(extra:${S})"
+BUILD_PARAMS="KERNEL_DIR=\"\${KV_OUT_DIR}\""
+BUILD_TARGETS="build"
+
+pkg_pretend() {
+	use kernel_linux || die "cryptodev ebuild only support linux"
+
+	CONFIG_CHECK="~CRYPTO ~CRYPTO_AEAD"
+	if kernel_is -lt 4 8 0; then
+		CONFIG_CHECK="${CONFIG_CHECK} ~CRYPTO_BLKCIPHER"
+	else
+		CONFIG_CHECK="${CONFIG_CHECK} ~CRYPTO_SKCIPHER"
+	fi
+	check_extra_config
+}
+
+src_install() {
+	linux-mod_src_install
+
+	insinto /usr/include/crypto
+	doins crypto/cryptodev.h
+
+	if use examples ; then
+		docinto examples
+		dodoc example/*
+	fi
+}


             reply	other threads:[~2021-04-01 18:47 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-01 18:47 Sven Wegener [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-06 15:26 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/cryptodev/ Arthur Zamarin
2023-06-21 18:50 Sven Wegener
2023-05-05 18:55 Sven Wegener
2023-03-04 18:53 Sven Wegener
2023-03-04 18:53 Sven Wegener
2022-01-22 18:23 Sven Wegener
2021-04-01 18:47 Sven Wegener
2020-08-09 19:52 Sven Wegener
2020-08-09 19:52 Sven Wegener
2020-08-08 12:18 Mikle Kolyada
2018-09-02 12:15 Sven Wegener
2018-09-02 12:15 Sven Wegener
2018-09-02 12:15 Sven Wegener
2018-06-26 22:22 Jonas Stein
2017-10-04  9:17 Michał Górny
2017-07-30  9:23 Michał Górny
2017-04-25 12:18 Jeroen Roovers
2017-04-24  7:45 Jeroen Roovers
2017-03-22  9:50 Marek Szuba
2017-03-18 17:43 Göktürk Yüksek
2017-03-18 17:43 Göktürk Yüksek

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1617302782.c2ab4e3a51936ffd97095cd5755fc516563ccab8.swegener@gentoo \
    --to=swegener@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox